IamTHEvilONE
Immortal
Immortal

vCenter 6.7 - The following required extra configurations in the OVF package are not allowed for the deployment: [mem.hotadd]

Just provisioned a lab environment based on vSphere 6.7.

Attempting a deployment of an OVA which has a few extra config values in it.  Both the H5 and Flash UI error on validation of the OVA with the following message:

The following required extra configurations in the OVF package are not allowed for the deployment: [mem.hotadd]

I can deploy using OVFTool and the --allowExtraConfigs option, and the OVA deploys without error.  I could also strip the specific requirement out to see if could get it to work when re-packaged, but that doesn't fix the issue for anyone else if they hit it.

This same OVA deploys without issue to vCenter 6.5 via the Flash Client.

0 Kudos
2 Replies
IamTHEvilONE
Immortal
Immortal

Could this have anything to do with ovftool being used?  OVFTOOL 4.2 works from my desktop to import to vSphere 6.7, but 4.3 fails with the same error message.

0 Kudos
pratt26
Enthusiast
Enthusiast

Known Issues in This Version

As of release 6.5 U1, the ovftool option --allowAllExtraConfig is no longer supported. The All option never never worked as designed, so it was deprecated. The workaround is to use --allowExtraConfig instead to import additional configurations.

Try using --allowExtraConfig switch with OVFTOOL 4.3

0 Kudos